Index: tmp/org.txm.core/src/java/org/txm/stat/engine/r/RWorkspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/stat/engine/r/RWorkspace.java	(revision 136)
+++ tmp/org.txm.core/src/java/org/txm/stat/engine/r/RWorkspace.java	(revision 137)
@@ -35,17 +35,11 @@
 import java.sql.Connection;
 import java.util.ArrayList;
 import java.util.Arrays;
-import java.util.HashMap;
 import java.util.UUID;
 
 import org.apache.commons.lang.StringEscapeUtils;
 import org.apache.commons.lang.StringUtils;
-import org.eclipse.core.net.proxy.IProxyData;
-import org.eclipse.core.net.proxy.IProxyService;
-import org.eclipse.core.runtime.Platform;
 import org.eclipse.osgi.util.NLS;
-import org.osgi.framework.FrameworkUtil;
-import org.osgi.util.tracker.ServiceTracker;
 import org.rosuda.REngine.REXP;
 import org.rosuda.REngine.REXPLogical;
 import org.rosuda.REngine.REXPMismatchException;
@@ -54,7 +48,6 @@
 import org.rosuda.REngine.Rserve.RserveException;
 import org.txm.Messages;
 import org.txm.Toolbox;
-import org.txm.core.chartsengine.r.__RDevice;
 import org.txm.searchengine.cqp.corpus.Lexicon;
 import org.txm.stat.StatException;
 import org.txm.stat.data.QuantitativeDataStructure;
@@ -62,8 +55,8 @@
 import org.txm.stat.engine.r.rcolt.RColt;
 import org.txm.stat.utils.VectorizeArray;
 import org.txm.utils.OSDetector;
-import org.txm.utils.SystemProxyDetector;
 import org.txm.utils.StreamHog;
+import org.txm.utils.SystemProxyDetector;
 import org.txm.utils.logger.Log;
 
 import cern.colt.list.DoubleArrayList;
@@ -549,7 +542,7 @@
 	}
 
 	/** The default device. */
-	private __RDevice defaultDevice = __RDevice.SVG;
+	private RDevice defaultDevice = RDevice.SVG;
 
 	/** The error logger. */
 	private StreamHog errorLogger;
@@ -1354,8 +1347,7 @@
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 * @throws StatException the stat exception
 	 */
-	public void plot(File file, String expr) throws REXPMismatchException,
-	StatException {
+	public void plot(File file, String expr) throws REXPMismatchException,	StatException {
 		plot(file, expr, defaultDevice );
 	}
 
@@ -1368,7 +1360,7 @@
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 * @throws StatException the stat exception
 	 */
-	public void plot(File file, String expr, __RDevice device)throws REXPMismatchException,
+	public void plot(File file, String expr, RDevice device)throws REXPMismatchException,
 	StatException
 	{
 		try {
@@ -1462,7 +1454,7 @@
 	 *
 	 * @param device the new default graphic device
 	 */
-	public void setDefaultGraphicDevice(__RDevice device) {
+	public void setDefaultGraphicDevice(RDevice device) {
 		this.defaultDevice = device;
 	}
 
@@ -1472,7 +1464,7 @@
 	 * @param devicename the new default graphic device
 	 */
 	public void setDefaultGraphicDevice(String devicename) {
-		__RDevice device = __RDevice.valueOf(devicename);
+		RDevice device = RDevice.valueOf(devicename);
 		if (device != null)
 			this.defaultDevice = device;
 	}
Index: tmp/org.txm.core/src/java/org/txm/Messages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Messages.java	(revision 136)
+++ tmp/org.txm.core/src/java/org/txm/Messages.java	(revision 137)
@@ -1,7 +1,7 @@
 package org.txm;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMMessages;
+import org.txm.core.messages.TXMCoreMessages;
 
 /**
  * The keys of all messages in the Toolbox
@@ -558,7 +558,7 @@
 
 	static {
 		// initialize resource bundle
-		TXMMessages.initializeMessages(BUNDLE_NAME, Messages.class);
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, Messages.class);
 		//NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 137)
@@ -0,0 +1,44 @@
+package org.txm.core.messages;
+
+import java.lang.reflect.Field;
+import org.eclipse.osgi.util.NLS;
+
+/**
+ * Class that manages UTF-8 encoding for .properties messages files.
+ * @author sjacquot
+ *
+ */
+public class TXMCoreMessages {
+
+	
+	
+	/**
+	 * Initializes messages using UTF-8 encoding.
+	 * @param baseName
+	 * @param clazz
+	 */
+	public static void initializeMessages(final String baseName, final Class<?> clazz) {
+		// initialize resource bundle
+		NLS.initializeMessages(baseName, clazz);
+
+		// reencode the fields
+		final Field[] fieldArray = clazz.getDeclaredFields();
+		final int len = fieldArray.length;
+		for(int i = 0; i < len; i++) {
+			final Field field = (Field) fieldArray[i];
+			if(field.getType() == java.lang.String.class) {
+				if(!field.isAccessible())
+					field.setAccessible(true);
+				try {
+					final String rawValue = (String) field.get(null);
+					field.set(null, new String(rawValue.getBytes("ISO-8859-1"), "UTF-8"));
+				}
+				catch(Exception e) {
+				//	e.printStackTrace();
+				}
+			}
+		}
+	}
+	
+	
+}

Index: tmp/org.txm.core/src/java/org/txm/core/chartsengine/r/___RChartsEngine.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/chartsengine/r/___RChartsEngine.java	(revision 136)
+++ tmp/org.txm.core/src/java/org/txm/core/chartsengine/r/___RChartsEngine.java	(revision 137)
@@ -5,25 +5,18 @@
 import java.util.ArrayList;
 import java.util.List;
 
-import org.apache.commons.lang.StringEscapeUtils;
 import org.rosuda.REngine.REXPMismatchException;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.core.statsengine.r.functions.FactoMineRCA;
+import org.txm.cah.core.functions.CAH;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.core.chartsengine.base.___ChartsEngine;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
-import org.txm.core.chartsengine.r.messages.RChartsEngineMessages;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.progression.Progression;
-import org.txm.functions.specificities.SpecificitesResult;
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.stat.StatException;
-import org.txm.stat.data.Matrix;
-import org.txm.stat.data.Vector;
+import org.txm.stat.engine.r.RDevice;
 import org.txm.stat.engine.r.RWorkspace;
 import org.txm.stat.engine.r.RWorkspaceException;
-import org.txm.stat.engine.r.data.DoubleMatrix;
-import org.txm.stat.engine.r.data.VectorImpl;
-import org.txm.stat.engine.r.function.FactoMineRCA;
 import org.txm.utils.logger.Log;
 
 /**
@@ -69,7 +62,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = RChartsEngineMessages.RChartsEngine_ENGINE_DESCRIPTION;
+	public final static String DESCRIPTION = "R";
 
 
 	/**
@@ -82,7 +75,7 @@
 	/**
 	 * The R device to use for generating charts.
 	 */
-	protected __RDevice rDevice;
+	protected RDevice rDevice;
 
 
 	/**
@@ -173,7 +166,7 @@
 			RWorkspace.getRWorkspaceInstance().plot(destFile, "plot.CA("+ ca.getSymbol() +", label=" + label + ", invisible=" + invisible + ", axes=" + axes + ", title=\"" + title + "\", cex=.8)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 		}
 		catch(Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_FILE_CHART + " - FactoMineR package", DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(ChartsEngineCoreMessages.bind(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_CA_FILE_CHART + " - FactoMineR package", DESCRIPTION) + e); //$NON-NLS-1$
 		}
 
 		return destFile;
@@ -216,7 +209,7 @@
 			RWorkspace.getRWorkspaceInstance().plot(destFile, cmd, this.rDevice);
 		}
 		catch(Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_FILE_CHART + " - CA package", DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(ChartsEngineCoreMessages.bind(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_CA_FILE_CHART + " - CA package", DESCRIPTION) + e); //$NON-NLS-1$
 		}
 
 		return destFile;
@@ -260,20 +253,20 @@
 				if(i > 0)	 {
 					xLabels.append(", "); //$NON-NLS-1$
 				}
-				xLabels.append("\"" + ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_X_LABELS_PREFIX + (i + 1) + "\""); //$NON-NLS-1$ //$NON-NLS-2$
+				xLabels.append("\"" + ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_X_LABELS_PREFIX + (i + 1) + "\""); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			xLabels.append(")"); //$NON-NLS-1$
 
 			String cmd = "tmpY <- " + ca.getSymbol() + "$eig$eigenvalue[1:length(" + ca.getSymbol() + "$eig$eigenvalue) - 1];\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			cmd += "barplot(tmpY, main=\"" //$NON-NLS-1$
-					+ ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_TITLE + "\", ylab=\"" + //$NON-NLS-1$
-					ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_Y_AXIS_LABEL + "\", xlab=\"" + //$NON-NLS-1$
-					ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_X_AXIS_LABEL + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
+					+ ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_TITLE + "\", ylab=\"" + //$NON-NLS-1$
+					ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_Y_AXIS_LABEL + "\", xlab=\"" + //$NON-NLS-1$
+					ChartsEngineCoreMessages.ChartsEngine_CA_SINGULAR_VALUES_X_AXIS_LABEL + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
 
 			RWorkspace.getRWorkspaceInstance().plot(file, cmd, this.rDevice);
 		}
 		catch (Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_SINGULAR_VALUES_FILE_CHART + " - FactoMineR package", DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(ChartsEngineCoreMessages.bind(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_CA_SINGULAR_VALUES_FILE_CHART + " - FactoMineR package", DESCRIPTION) + e); //$NON-NLS-1$
 		}
 
 		return file;
@@ -291,7 +284,7 @@
 			RWorkspace.getRWorkspaceInstance().plot(file, "barplot(" +  ca.getSymbol() + "$sv)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		catch (Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_SINGULAR_VALUES_FILE_CHART + " - CA package", DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(ChartsEngineCoreMessages.bind(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_CA_SINGULAR_VALUES_FILE_CHART + " - CA package", DESCRIPTION) + e); //$NON-NLS-1$
 		}
 
 		return file;
@@ -349,7 +342,7 @@
 			// Create chart title
 			String title = this.createPartitionDimensionsChartTitle(partition, sortPartsBySize);
 
-			String ylab = ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
+			String ylab = ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
 
 			String cmd = "barplot("+ssizes+", names.arg="+snames+ //$NON-NLS-1$ //$NON-NLS-2$
 					", main=\""+title+"\", horiz=F, las=2, ylab=\""+ylab+"\")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -357,7 +350,7 @@
 			r.plot(file, cmd, this.rDevice);
 		}
 		catch(Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART, DESCRIPTION) + e);
+			Log.severe(ChartsEngineCoreMessages.bind(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART, DESCRIPTION) + e);
 		}
 
 		return file;
@@ -709,7 +702,7 @@
 	 * Gets the current R device.
 	 * @return the rDevice
 	 */
-	public __RDevice getRDevice() {
+	public RDevice getRDevice() {
 		return rDevice;
 	}
 
@@ -718,7 +711,7 @@
 	 * Sets the R Device to use for generating charts.
 	 * @param rDevice the rDevice to set
 	 */
-	public void setRDevice(__RDevice rDevice) {
+	public void setRDevice(RDevice rDevice) {
 		this.rDevice = rDevice;
 	}
 
@@ -730,19 +723,19 @@
 
 		// FIXME : voir comment gérer cela autrement + supprimer certaines méthodes du RDevice devenues inutiles depuis qu'on stocke outputFormat ?
 		if(outputFormat == ___ChartsEngine.OUTPUT_FORMAT_JPEG)	{
-			this.rDevice = __RDevice.JPEG;
+			this.rDevice = RDevice.JPEG;
 		}
 		else if(outputFormat == ___ChartsEngine.OUTPUT_FORMAT_PDF)	{
-			this.rDevice = __RDevice.PDF;
+			this.rDevice = RDevice.PDF;
 		}
 		else if(outputFormat == ___ChartsEngine.OUTPUT_FORMAT_PNG)	{
-			this.rDevice = __RDevice.PNG;
+			this.rDevice = RDevice.PNG;
 		}
 		else if(outputFormat == ___ChartsEngine.OUTPUT_FORMAT_PS)	{
-			this.rDevice = __RDevice.PS;
+			this.rDevice = RDevice.PS;
 		}
 		else if(outputFormat == ___ChartsEngine.OUTPUT_FORMAT_SVG)	{
-			this.rDevice = __RDevice.SVG;
+			this.rDevice = RDevice.SVG;
 		}
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/core/chartsengine/base/___ChartsEngine.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/chartsengine/base/___ChartsEngine.java	(revision 136)
+++ tmp/org.txm.core/src/java/org/txm/core/chartsengine/base/___ChartsEngine.java	(revision 137)
@@ -7,15 +7,13 @@
 import java.util.Map;
 import java.util.Properties;
 
-import org.txm.Messages;
 import org.txm.Toolbox;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
+import org.txm.ca.core.functions.CA;
+import org.txm.cah.core.functions.CAH;
+import org.txm.chartsengine.core.ChartCreator;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.core.chartsengine.jfreechart.___JFCChartsEngine;
 import org.txm.core.chartsengine.r.___RChartsEngine;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.progression.Progression;
-import org.txm.functions.specificities.SpecificitesResult;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.utils.logger.Log;
 
@@ -132,7 +130,7 @@
 
 	
 	
-	protected HashMap<Class, ___ChartCreator> ___ChartCreators;
+	protected HashMap<Class, ChartCreator> chartCreators;
 
 	/**
 	 * Creates a charts engine.
@@ -164,7 +162,7 @@
 		this.description = description;
 		this.setOutputFormat(outputFormat);
 		
-		this.___ChartCreators = new HashMap<Class, ___ChartCreator>();
+		this.chartCreators = new HashMap<Class, ChartCreator>();
 	}
 
 
@@ -174,22 +172,22 @@
 	 * @param type
 	 * @return
 	 */
-	public ___ChartCreator getChartCreator(Class resultDataType)	{
-		return this.___ChartCreators.get(resultDataType);
+	public ChartCreator getChartCreator(Class resultDataType)	{
+		return this.chartCreators.get(resultDataType);
 	}
 	
 
-	/**
-	 * 
-	 * @param ___ChartCreator
-	 */
-	public void addChartCreator(Class resultDataType, ___ChartCreator ___ChartCreator)	{
-		this.___ChartCreators.put(resultDataType, ___ChartCreator);
-		___ChartCreator.setChartsEngine(this);
-	}
+//	/**
+//	 * 
+//	 * @param ___ChartCreator
+//	 */
+//	public void addChartCreator(Class resultDataType, ChartCreator chartCreator)	{
+//		this.chartCreators.put(resultDataType, chartCreator);
+//		chartCreator.setChartsEngine(this);
+//	}
+//	
+//	
 	
-	
-	
 //	/**
 //	 * Creates a charts engine with the specified output format;
 //	 * @param outputFormat
@@ -246,12 +244,12 @@
 			//tmpFile = File.createTempFile(prefix, this.rDevice.getExt(), resultsDir);
 		}
 		catch (IOException e) {
-			Log.severe(ChartsEngineMessages.ChartsEngine_CANT_CREATE_TMP_FILE_CHART + e);
+			Log.severe(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_TMP_FILE_CHART + e);
 		}
 
 		// TODO : old code, useful ? and/or return null instead of the file if canWrite() return false ?
 		if(!file.canWrite()) {
-			Log.severe(ChartsEngineMessages.ChartsEngine_CANT_WRITE_IN_FILE + file);
+			Log.severe(ChartsEngineCoreMessages.ChartsEngine_CANT_WRITE_IN_FILE + file);
 		}
 
 
@@ -329,32 +327,32 @@
 	}
 
 
-	/**
-	 * Creates a string title, shared by charts engine implementations, for the CA factorial map chart from the specified result.
-	 * @param ca
-	 * @return
-	 */
-	public String createCAFactorialMapChartTitle(CA ca)	{
+//	/**
+//	 * Creates a string title, shared by charts engine implementations, for the CA factorial map chart from the specified result.
+//	 * @param ca
+//	 * @return
+//	 */
+//	public String createCAFactorialMapChartTitle(CA ca)	{
+//
+//		String partitionName;
+//		if (ca.getPartition() == null) {
+//			partitionName = "<no partition>";
+//		}
+//		else	{
+//			partitionName = ca.getPartition().getName();
+//		}
+//
+//		String corpusName;
+//		if (ca.getCorpus() == null) {
+//			corpusName = "<no corpus>";
+//		}
+//		else	{
+//			corpusName = ca.getCorpus().getName();
+//		}
+//
+//		return ChartsEngineMessages.bind(CAC.ChartsEngine_CA_FACTORIAL_MAP_TITLE, partitionName, corpusName);
+//	}
 
-		String partitionName;
-		if (ca.getPartition() == null) {
-			partitionName = "<no partition>";
-		}
-		else	{
-			partitionName = ca.getPartition().getName();
-		}
-
-		String corpusName;
-		if (ca.getCorpus() == null) {
-			corpusName = "<no corpus>";
-		}
-		else	{
-			corpusName = ca.getCorpus().getName();
-		}
-
-		return ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_TITLE, partitionName, corpusName);
-	}
-
 	/**
 	 * Creates a bar plot with singular values of the specified CA result.
 	 * @param ca
@@ -568,51 +566,51 @@
 	public abstract File createPartitionDimensionsChartFile(Partition partition, boolean sortPartsBySize, File file);
 
 
-	/**
-	 * Creates a dimensions partition bar chart from the specified <code>Partition</code> result and writes it in a temporary file in USER_TXM_HOME\results.
-	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
-	 * @param partition
-	 * @param sortPartsBySize
-	 * @return
-	 */
-	public File createDimensionsPartitionChartFile(Partition partition, boolean sortPartsBySize)	{
-		return this.createPartitionDimensionsChartFile(partition, sortPartsBySize, this.createTmpFile(___ChartsEngine.CHART_TYPE_PARTITION_DIMENSIONS));
-	}
+//	/**
+//	 * Creates a dimensions partition bar chart from the specified <code>Partition</code> result and writes it in a temporary file in USER_TXM_HOME\results.
+//	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
+//	 * @param partition
+//	 * @param sortPartsBySize
+//	 * @return
+//	 */
+//	public File createDimensionsPartitionChartFile(Partition partition, boolean sortPartsBySize)	{
+//		return this.createPartitionDimensionsChartFile(partition, sortPartsBySize, this.createTmpFile(___ChartsEngine.CHART_TYPE_PARTITION_DIMENSIONS));
+//	}
+//
+//	/**
+//	 *
+//	 * @param partition
+//	 * @param file
+//	 * @return
+//	 */
+//	public File createDimensionsPartitionChartFile(Partition partition, File file)	{
+//		return this.createPartitionDimensionsChartFile(partition, (Boolean) ___ChartsEngine.properties.get(___ChartsEngine.PROP_PARTITION_DIMENSIONS_SORTED_BY_SIZE), file);
+//	}
+//
+//
+//	/**
+//	 * Creates a string title, shared by charts engine implementations, for the dimensions partition chart from the specified result.
+//	 * @param the partition result
+//	 * @param sortPartsBySize the sort parts by size state
+//	 * @return the title string
+//	 */
+//	public String createPartitionDimensionsChartTitle(Partition partition, boolean sortPartsBySize)	{
+//
+//		String title = ChartsEngineCoreMessages.bind(ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_DIMENSIONS_OF_PARTITION, partition.getName(), partition.getCorpus().getName());
+//
+//		if((Boolean) ___ChartsEngine.properties.get(PROP_PARTITION_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE))	{
+//			title += "\n(" +  partition.getParts().size() + " parts" + ")"; //$NON-NLS-1$ //$NON-NLS-3$
+//		}
+//
+//		if(sortPartsBySize) {
+//			title += ChartsEngineCoreMessages.ChartsEngine_PARTITION_DIMENSIONS_SORTED_BY_SIZE;
+//		}
+//
+//		return title;
+//	}
 
-	/**
-	 *
-	 * @param partition
-	 * @param file
-	 * @return
-	 */
-	public File createDimensionsPartitionChartFile(Partition partition, File file)	{
-		return this.createPartitionDimensionsChartFile(partition, (Boolean) ___ChartsEngine.properties.get(___ChartsEngine.PROP_PARTITION_DIMENSIONS_SORTED_BY_SIZE), file);
-	}
 
 
-	/**
-	 * Creates a string title, shared by charts engine implementations, for the dimensions partition chart from the specified result.
-	 * @param the partition result
-	 * @param sortPartsBySize the sort parts by size state
-	 * @return the title string
-	 */
-	public String createPartitionDimensionsChartTitle(Partition partition, boolean sortPartsBySize)	{
-
-		String title = ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_DIMENSIONS_OF_PARTITION, partition.getName(), partition.getCorpus().getName());
-
-		if((Boolean) ___ChartsEngine.properties.get(PROP_PARTITION_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE))	{
-			title += "\n(" +  partition.getParts().size() + " parts" + ")"; //$NON-NLS-1$ //$NON-NLS-3$
-		}
-
-		if(sortPartsBySize) {
-			title += ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_SORTED_BY_SIZE;
-		}
-
-		return title;
-	}
-
-
-
 //	/**
 //	 * Creates a progression chart from the specified <code>Progression</code> result and writes it in the specified file.
 //	 * @param progression
@@ -689,58 +687,58 @@
 
 
 
-	/**
-	 * Creates a chart according to the specified result and current output format and writes it in the specified file.
-	 * @param result
-	 * @param file
-	 * @return
-	 */
-	public File createChartFile(Object result, File file)	{
-
-		// Partition dimensions
-		if(result instanceof Partition)	{
-			return this.createDimensionsPartitionChartFile((Partition)result, file);
-		}
-		// Specificities
-//		else if(result instanceof SpecificitesResult)	{
-//			// FIXME : need to get the rendering properties
-//			return this.createSpecificitiesChartFile((SpecificitesResult)result, false, true, false, 2, false, file);
+//	/**
+//	 * Creates a chart according to the specified result and current output format and writes it in the specified file.
+//	 * @param result
+//	 * @param file
+//	 * @return
+//	 */
+//	public File createChartFile(Object result, File file)	{
+//
+//		// Partition dimensions
+//		if(result instanceof Partition)	{
+//			return this.createDimensionsPartitionChartFile((Partition)result, file);
 //		}
-		// CA factorial map
-		else if(result instanceof CA)	{
-			return this.createCAFactorialMapChartFile((CA) result, file);
-		}
-		// CA singular values bar plot
-		// FIXME : j'ai besoin de connaître le type du graphe ici vu que résultat stockée est une CA pour les singular values bar plot
-		// Ajouter un champ int graphType dans ChartEditorPart ??? FAIT : le champ a été ajouté dans le ItemSelectionRenderer mais donc uniquement dispo pour JFC
-//		else if(result instanceof Integer && (Integer)result == ChartsEngine.CHART_TYPE_CA_SINGULAR_VALUES)	{
-//			return this.createCASingularValuesBarChartFile(((CA) result, file);
+//		// Specificities
+////		else if(result instanceof SpecificitesResult)	{
+////			// FIXME : need to get the rendering properties
+////			return this.createSpecificitiesChartFile((SpecificitesResult)result, false, true, false, 2, false, file);
+////		}
+//		// CA factorial map
+//		else if(result instanceof CA)	{
+//			return this.createCAFactorialMapChartFile((CA) result, file);
 //		}
+//		// CA singular values bar plot
+//		// FIXME : j'ai besoin de connaître le type du graphe ici vu que résultat stockée est une CA pour les singular values bar plot
+//		// Ajouter un champ int graphType dans ChartEditorPart ??? FAIT : le champ a été ajouté dans le ItemSelectionRenderer mais donc uniquement dispo pour JFC
+////		else if(result instanceof Integer && (Integer)result == ChartsEngine.CHART_TYPE_CA_SINGULAR_VALUES)	{
+////			return this.createCASingularValuesBarChartFile(((CA) result, file);
+////		}
+//
+//
+//		return null;
+//	}
+//
+//
+//	/**
+//	 * Creates a chart according to the specified result and output format and writes it in the specified file.
+//	 * @param result
+//	 * @param file
+//	 * @param outputFormat
+//	 * @return
+//	 */
+//	public File createChartFile(Object result, File file, String outputFormat)	{
+//		// FIXME : bad ? Switch the current charts engine output format, export the chart, and then roll back the output format
+//		int oldOutputFormat = this.outputFormat;
+//		this.setOutputFormat(outputFormat);
+//		file = this.createChartFile(result, file);
+//		this.setOutputFormat(oldOutputFormat);
+//
+//		return file;
+//	}
 
 
-		return null;
-	}
-
-
 	/**
-	 * Creates a chart according to the specified result and output format and writes it in the specified file.
-	 * @param result
-	 * @param file
-	 * @param outputFormat
-	 * @return
-	 */
-	public File createChartFile(Object result, File file, String outputFormat)	{
-		// FIXME : bad ? Switch the current charts engine output format, export the chart, and then roll back the output format
-		int oldOutputFormat = this.outputFormat;
-		this.setOutputFormat(outputFormat);
-		file = this.createChartFile(result, file);
-		this.setOutputFormat(oldOutputFormat);
-
-		return file;
-	}
-
-
-	/**
 	 * Exports the chart to the specified file. Also crops the image according to the specified drawing area values.
 	 * @param chart
 	 * @param file
